Create a human-user enrollment
Creates a short-lived, one-time enrollment credential for an existing dormant human. Requires MANAGE_USER_ENROLLMENT with ANY or EXACT authority on the target user. The raw credential is returned only once. rotateExisting atomically revokes and replaces a live enrollment; an expired enrollment is replaced automatically.
x-api-key<token>
In: header
Path Parameters
userIdstring
Human-user UUID
enrollmentId?string | null
Optional client-provided enrollment UUID; generated when omitted.
Example
"0198b9f4-c42f-7ae3-8c56-44d827ea03bd"Format
uuidrotateExisting?boolean | null
Whether an existing live enrollment may be revoked and atomically replaced.
Default
falseResponse Body
curl -X POST "https://loading/v1/users/70e025f6-76ca-4cbe-b8fc-7dab8e84590a/enrollments" \ -H "Content-Type: application/json" \ -d '{ "enrollmentId": "0198b9f4-c42f-7ae3-8c56-44d827ea03bd" }'{
"enrollment": {
"enrollmentId": "0198b9f4-c42f-7ae3-8c56-44d827ea03bd",
"userId": "70e025f6-76ca-4cbe-b8fc-7dab8e84590a",
"credentialPrefix": "gme_mzxw6y",
"status": "PENDING",
"expiresAt": 1786752000000,
"consumedApiKeyId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": 1786665600000,
"consumedAt": 1786669200000,
"revokedAt": 1786669200000,
"createdById": "b3303d0a-1a4a-493f-b9bf-38e37153b5a2",
"revokedById": "b3303d0a-1a4a-493f-b9bf-38e37153b5a2"
},
"enrollmentToken": "gme_mzxw6ytboiww6z3foj2xezltoqxxezltoqxxezltoqxxezltoqxa"
}Empty
Empty
Empty
Empty
Empty
Empty
Empty
Empty